Skip to main content
GET
/
v1
/
tasks
List tasks
curl --request GET \
  --url https://sdk.nimbleway.com/v1/tasks \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "state": "pending",
      "output_url": "string",
      "status_url": "https://sdk.nimbleway.com/api/v2/tasks/123e4567-e89b-12d3-a456-426614174000",
      "download_url": "https://sdk.nimbleway.com/api/v2/tasks/123e4567-e89b-12d3-a456-426614174000/results",
      "error": "Connection timeout",
      "error_type": "timeout_error",
      "created_at": "2024-01-15T10:30:00Z",
      "modified_at": "2024-01-15T10:35:00Z",
      "account_name": "string",
      "input": null,
      "_query": null,
      "batch_id": "4b0a90bf-c951-42e4-95b3-a95a65ba69fc",
      "status_code": 200,
      "api_type": "web"
    }
  ],
  "pagination": {
    "has_next": true,
    "next_cursor": "string",
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
string<uuid>

Cursor for pagination. Use the next_cursor from the previous response.

limit
integer
default:100

Number of tasks to return per page.

Required range: 1 <= x <= 9007199254740991
Example:

10

Response

List of tasks returned successfully.

Paginated list of tasks response.

data
object[]
required

Array of task objects.

pagination
object
required